# Uses of Class
org.apache.lucene.index.OrdinalMap

Packages that use OrdinalMap
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of OrdinalMap in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return OrdinalMap
  Modifier and Type
  Method
  Description
  `protected static OrdinalMap`
  DocValuesConsumer.`createOrdinalMapForSortedDV(FieldInfo fieldInfo, MergeState mergeState)`
  Returns a merged sorted doc values instance from all producers in the provided merge state.
  `protected static OrdinalMap`
  DocValuesConsumer.`createOrdinalMapForSortedSetDV(List<SortedSetDocValues> toMerge, MergeState mergeState)`
  Creates an ordinal map based on the provided sorted set doc values to merges
  Methods in org.apache.lucene.codecs with parameters of type OrdinalMap
  Modifier and Type
  Method
  Description
  `protected static SortedDocValues`
  DocValuesConsumer.`getMergedSortedSetDocValues(FieldInfo fieldInfo, MergeState mergeState, OrdinalMap map)`
  Returns a merged sorted doc values instance from all producers in the provided merge state.
  `protected static SortedSetDocValues`
  DocValuesConsumer.`getMergedSortedSetDocValues(FieldInfo mergeFieldInfo, MergeState mergeState, OrdinalMap map, List<SortedSetDocValues> toMerge)`
  Returns a sorted set doc values instance from all producers in the provided merge state.
  `protected static SortedDocValues`
  DocValuesConsumer.`mergeSortedValues(List<org.apache.lucene.codecs.DocValuesConsumer.SortedDocValuesSub> subs, MergeState mergeState, OrdinalMap map)`
  Returns a merged sorted doc values instance from all producers in the provided merge state.

- ## Uses of OrdinalMap in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as OrdinalMap
  Modifier and Type
  Field
  Description
  `final OrdinalMap`
  MultiDocValues.MultiSortedDocValues.`mapping`
  ordinal map mapping ords from `values` to global ord space
  `final OrdinalMap`
  MultiDocValues.MultiSortedSetDocValues.`mapping`
  ordinal map mapping ords from `values` to global ord space
  Methods in org.apache.lucene.index that return OrdinalMap
  Modifier and Type
  Method
  Description
  `static OrdinalMap`
  OrdinalMap.`build(IndexReader.CacheKey owner, SortedDocValues[] values, float acceptableOverheadRatio)`
  Create an ordinal map that uses the number of unique values of each `SortedDocValues` instance as a weight.
  `static OrdinalMap`
  OrdinalMap.`build(IndexReader.CacheKey owner, SortedSetDocValues[] values, float acceptableOverheadRatio)`
  Create an ordinal map that uses the number of unique values of each `SortedSetDocValues` instance as a weight.
  `static OrdinalMap`
  OrdinalMap.`build(IndexReader.CacheKey owner, TermsEnum[] subs, long[] weights, float acceptableOverheadRatio)`
  Creates an ordinal map that allows mapping ords to/from a merged space from `subs`.
  Constructors in org.apache.lucene.index with parameters of type OrdinalMap
  Modifier
  Constructor
  Description
  ``
  `MultiSortedDocValues(SortedDocValues[] values, int[] docStarts, OrdinalMap mapping, long totalCost)`
  Creates a new MultiSortedDocValues over `values`
  ``
  `MultiSortedSetDocValues(SortedSetDocValues[] values, int[] docStarts, OrdinalMap mapping, long totalCost)`
  Creates a new MultiSortedSetDocValues over `values`